package com.brilliance.isc.swift.objmtconvert.model.mt9xx.tag.tag942;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt9xx.MT942Creator;

/**
 * @author hedonghao
 * @date 2023/2/24
 */
public class Tag13DCreator extends AbsTagCreate {

    private MT942Creator mt942Creator;

    public Tag13DCreator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt942Creator= (MT942Creator) absMTCreator;
    }

    public  void creator()
    {
        String tag13DValue=mt942Creator.getDateIndication();
        mt942Creator.set("13D",tag13DValue);
    }
}
